%define module_name paramiko

Summary:       SSH2 protocol for Python
Name:          python-%{module_name}
Version:       1.12.0
Release:       %mkrel 4
Url:           https://github.com/paramiko/paramiko/
License:       LGPLv2+
Group:         Development/Python
Source:        http://pypi.python.org/packages/source/p/%{module_name}/%{module_name}-%{version}.tar.gz

Requires:      pycrypto
Obsoletes:     %{module_name}
Provides:      %{module_name}
BuildRequires: pkgconfig(python)
BuildRequires: python-pycrypto >= 2.1
BuildRequires: python-setuptools
BuildRequires: python-ecdsa
BuildArch:     noarch

%description
Paramiko is a module for python that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines.  the module works
by taking a socket-like object that you pass in, negotiating with the remote
server, authenticating (using a password or a given private key), and opening
flow-controled "channels" to the server, which are returned as socket-like
objects. you are responsible for verifying that the server's host key is the
one you expected to see, and you have control over which kinds of encryption
or hashing you prefer (if you care), but all of the heavy lifting is done by
the paramiko module.

%prep
%setup -q -n %{module_name}-%{version}
%{__chmod} a-x demos/*
%{__sed} -i -e '/^#!/,1d' demos/*

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} ./test.py

%files
%doc docs/ PKG-INFO README demos/
%{python_sitelib}/*





%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.12.0-4.mga4
+ Revision: 543855
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 dlucio <dlucio> 1.12.0-3.mga4
+ Revision: 514827
- requieres changed since pycrypto changed its provides

* Tue Oct 15 2013 pterjan <pterjan> 1.12.0-2.mga4
+ Revision: 499077
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1.12.0-1.mga4
+ Revision: 491801
- Update to 1.12.0

* Wed Jul 10 2013 philippem <philippem> 1.10.1-1.mga4
+ Revision: 452609
- Update to 1.10.1

* Sun Jan 13 2013 umeabot <umeabot> 1.7.7.1-2.mga3
+ Revision: 379224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 1.7.7.1-1.mga2
+ Revision: 144543
- new version 1.7.7.1

* Sun Jan 23 2011 ennael <ennael> 1.7.6-2.mga1
+ Revision: 35590
- imported package python-paramiko


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 1.7.6-2mdv2011.0
+ Revision: 591781
- Rebuild

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.6-1mdv2010.1
+ Revision: 489188
- update to new version 1.7.6

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 1.7.5-1mdv2010.0
+ Revision: 443919
- update to new version 1.7.5

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.7.4-3mdv2010.0
+ Revision: 442326
- rebuild

* Mon Dec 29 2008 Crispin Boylan <crisb@mandriva.org> 1.7.4-2mdv2009.1
+ Revision: 321177
- Rebuild for 2.6

* Fri Aug 15 2008 Michael Scherer <misc@mandriva.org> 1.7.4-1mdv2009.0
+ Revision: 272310
- new version
- new url

* Mon Mar 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.2-1mdv2008.1
+ Revision: 183316
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.4-1mdv2008.1
+ Revision: 122368
- New release 1.6.4 and bypass check


* Sun Jan 07 2007 Michael Scherer <misc@mandriva.org> 1.5.2-4mdv2007.0
+ Revision: 105220
- rebuild for python 2.5
- use %%rel scheme for mkrel
- Import python-paramiko

